# ACEXML_ParserInt Class Reference

A class to hide some of the internal implementation details of the parser. More...

`#include <ACEXML/parser/parser/ParserInternals.h>`

List of all members.

## Public Types

enum | ReferenceState { IN_CONTENT, IN_ATT_VALUE, AS_ATT_VALUE, IN_ENTITY_VALUE, IN_INT_DTD, IN_EXT_DTD, IN_NOTATION, INVALID = -1 }

## Static Public Attributes

const ACEXML_Char | base_char_table_ [256]
const ACEXML_Char * | msg_ []
const ACEXML_Char * | predef_ent_ []
const ACEXML_Char * | predef_val_ []

## Detailed Description

A class to hide some of the internal implementation details of the parser.

## Member Enumeration Documentation

enum ACEXML_ParserInt::ReferenceState

Enumeration values:

  IN_CONTENT |
  IN_ATT_VALUE |
  AS_ATT_VALUE |
  IN_ENTITY_VALUE |
  IN_INT_DTD |
  IN_EXT_DTD |
  IN_NOTATION |
  INVALID |

## Member Data Documentation

const ACEXML_Char ACEXML_ParserInt::base_char_table_`[static]`

Initial value:

     {
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0,
      0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
      1, 1, 1, 1, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1, 1, 1,
    }

const ACEXML_Char* ACEXML_ParserInt::msg_[]`[static]`

const ACEXML_Char * ACEXML_ParserInt::predef_ent_`[static]`

Initial value:

     {
      ACE_TEXT ("amp"),
      ACE_TEXT ("lt"),
      ACE_TEXT ("gt"),
      ACE_TEXT ("apos"),

    }

const ACEXML_Char * ACEXML_ParserInt::predef_val_`[static]`

Initial value:

     {
      ACE_TEXT ("&"),
      ACE_TEXT ("<"),
      ACE_TEXT (">"),
      ACE_TEXT ("'"),

    }

The documentation for this class was generated from the following files:

- ParserInternals.h
- ParserInternals.cpp